# Uses of Class
java.awt.datatransfer.Clipboard

Packages that use Clipboard
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of Clipboard in java.awt

Methods in java.awt that return Clipboard
Modifier and Type
Method
Description
`abstract Clipboard`
Toolkit.`getSystemClipboard()`
Gets the singleton instance of the system Clipboard which interfaces with clipboard facilities provided by the native platform.
`Clipboard`
Toolkit.`getSystemSelection()`
Gets the singleton instance of the system selection as a `Clipboard` object.

## Uses of Clipboard in java.awt.datatransfer

Methods in java.awt.datatransfer with parameters of type Clipboard
Modifier and Type
Method
Description
`void`
ClipboardOwner.`lostOwnership(Clipboard clipboard, Transferable contents)`
Notifies this object that it is no longer the clipboard owner.
`void`
StringSelection.`lostOwnership(Clipboard clipboard, Transferable contents)`
Constructors in java.awt.datatransfer with parameters of type Clipboard
Modifier
Constructor
Description
``
`FlavorEvent(Clipboard source)`
Constructs a `FlavorEvent` object.

## Uses of Clipboard in javax.swing

Methods in javax.swing with parameters of type Clipboard
Modifier and Type
Method
Description
`void`
TransferHandler.`exportToClipboard(JComponent comp, Clipboard clip, int action)`
Causes a transfer from the given component to the given clipboard.